> ## Documentation Index
> Fetch the complete documentation index at: https://docs.social-api.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Update account page

> Update a page's is_default or is_active status.



## OpenAPI

````yaml /api-reference/openapi.json patch /accounts/{id}/pages/{pageId}
openapi: 3.0.0
info:
  description: >-
    Unified social media inbox API. Read and respond to comments, DMs, reviews,
    and mentions across Instagram, Facebook, Threads, Google Business Profile,
    TikTok, LinkedIn, and YouTube through a single REST API. X/Twitter and
    Trustpilot coming soon.
  title: SocialAPI.AI
  contact:
    name: SocialAPI.AI Support
    email: support@social-api.ai
  license:
    name: MIT
  version: '1.0'
servers:
  - url: https://api.social-api.ai/v1
security: []
paths:
  /accounts/{id}/pages/{pageId}:
    patch:
      tags:
        - Accounts
      summary: Update account page
      description: Update a page's is_default or is_active status.
      parameters:
        - description: Connected account ID
          name: id
          in: path
          required: true
          schema:
            type: string
        - description: Page ID
          name: pageId
          in: path
          required: true
          schema:
            type: string
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/api_endpoints.UpdatePageRequest'
        description: Page update
        required: true
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/api_endpoints.AccountPageResponse'
        '404':
          description: Not Found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/api_endpoints.ErrorResponse'
      security:
        - BearerAuth: []
components:
  schemas:
    api_endpoints.UpdatePageRequest:
      type: object
      properties:
        is_active:
          type: boolean
        is_default:
          type: boolean
    api_endpoints.AccountPageResponse:
      type: object
      properties:
        about:
          type: string
        category:
          type: string
        cover_photo_url:
          type: string
        enriched_at:
          type: string
        followers_count:
          type: integer
        id:
          type: string
        is_active:
          type: boolean
        is_default:
          type: boolean
        link:
          type: string
        name:
          type: string
        platform_page_id:
          type: string
        profile_picture_url:
          type: string
        username:
          type: string
        verification_status:
          type: string
    api_endpoints.ErrorResponse:
      type: object
      properties:
        error:
          $ref: '#/components/schemas/api_endpoints.ErrorBody'
    api_endpoints.ErrorBody:
      type: object
      properties:
        code:
          type: string
          example: resource.not_found
        message:
          type: string
          example: Account not found
        meta:
          type: object
          additionalProperties: {}
  securitySchemes:
    BearerAuth:
      description: >-
        Prefix your API key with "Bearer ". Example: `Authorization: Bearer
        sapi_key_...`
      type: apiKey
      name: Authorization
      in: header

````